import request from '@/utils/request' //引入axios请求及拦截器
export default {
    //新增课程大章
    addCoursechapter(data) {
        return request({
            url: '/course/chapter',
            method: 'post',
            data
        })
    },
    //修改课程大章
    editCoursechapter(data) {
        return request({
            url: '/course/chapter/edit',
            method: 'post',
            data
        })
    },
    //查询课程大章列表
    inquireCourseListchapter(data) {
        return request({
            url: '/course/chapter/list',
            method: 'get',
            params: data
        })
    },
    //获取课程大章详细信息
    obtainCoursechapter(data) {
        return request({
            url: `/course/chapter/` + data,
            method: 'get',
        })
    },
    //获取课程大章业务层次列表
    obtainCoursechapterbusiness(data) {
        return request({
            url: `/course/chapter/business/` + data,
            method: 'get',
        })
    },
    //查询章与节关系列表
    inquireCoursechaptersectionlist(data) {
        return request({
            url: `/course/chapter/section/list/` + data,
            method: 'get',
        })
    },
}